## ros-kinetic-move-base-to-manip 1.0.18

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(move_base_to_manip)


add_compile_options(-std=c++11)

find_package(Eigen3 REQUIRED)

# Eigen 3.2 (Wily) only provides EIGEN3_INCLUDE_DIR, not EIGEN3_INCLUDE_DIRS
if(NOT EIGEN3_INCLUDE_DIRS)
  set(EIGEN3_INCLUDE_DIRS ${EIGEN3_INCLUDE_DIR})
endif()

find_package(catkin REQUIRED COMPONENTS
  message_generation
  moveit_core
  moveit_ros_planning
  moveit_ros_planning_interface
  roscpp
  std_srvs
  tf
  tf2_geometry_msgs
)

add_service_files(
  FILES
  desired_robot_pose.srv
)

generate_messages(
  DEPENDENCIES
  geometry_msgs  # Or other packages containing msgs
  std_srvs
  visualization_msgs
)

catkin_package(
  CATKIN_DEPENDS
    move_base_msgs
    moveit_core
    moveit_ros_planning_interface
    interactive_markers
    roscpp
  DEPENDS
    EIGEN3
)

###########
## Build ##
###########

include_directories(include ${catkin_INCLUDE_DIRS})

add_executable(provide_target src/provide_target.cpp)
add_dependencies(provide_target ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS} )
target_link_libraries(provide_target ${catkin_LIBRARIES} )

add_executable(move_base_to_manip src/move_base_to_manip.cpp)
add_dependencies(move_base_to_manip ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS} )
target_link_libraries(move_base_to_manip ${catkin_LIBRARIES} )


#############
## Install ##
#############

include_directories(SYSTEM ${Boost_INCLUDE_DIR} ${EIGEN3_INCLUDE_DIRS})
include_directories(${catkin_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

install(TARGETS move_base_to_manip provide_target
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY srv
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-move-base-to-manip (1.0.18-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Andy Zelenak <andyz@utexas.edu>  Wed, 14 Jun 2017 19:04:59 -0000

ros-kinetic-move-base-to-manip (1.0.2-1xenial) xenial; urgency=high

  * Adding CMakeLists to install everything.
  * Contributors: nrgadmin

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 21 Feb 2017 06:00:00 -0000

ros-kinetic-move-base-to-manip (1.0.1-1xenial) xenial; urgency=high

  * Adding another error message.
  * Making the while loop exit gracefully.
  * Updating a comment in provide_target.cpp.
  * Taking out the extra height.
  * Modifying CMakeLists to install, too.
  * Adding the source files.
  * Initial commit
  * Contributors: AndyZe, nrgadmin, vaultbot

 -- Andy Zelenak <andyz@utexas.edu>  Tue, 21 Feb 2017 06:00:00 -0000

=== debian/control ===
Source: ros-kinetic-move-base-to-manip
Section: misc
Priority: extra
Maintainer: Andy Zelenak <andyz@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-move-base-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning-interface, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-tf2-geometry-msgs, ros-kinetic-visualization-msgs
Homepage: http://wiki.ros.org/move_base_to_manip
Standards-Version: 3.9.2

Package: ros-kinetic-move-base-to-manip
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-kinetic-geometry-msgs, ros-kinetic-interactive-markers, ros-kinetic-message-generation, ros-kinetic-message-runtime, ros-kinetic-move-base-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning-interface, ros-kinetic-roscpp, ros-kinetic-tf, ros-kinetic-tf2-geometry-msgs, ros-kinetic-visualization-msgs
Description: Move the robot base until a desired end-effector pose can be reached.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-move-base-to-manip//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
